26 posts
  • Bought between 10 and 49 items
  • Exclusive Author
  • Has been a member for 1-2 years
  • Netherlands
  • Referred between 1 and 9 users
  • Sold between 5 000 and 10 000 dollars
KomiDesign says

Hi guys ! Recently i started playing with Bootstrap ( 2.3.2 version,witch i like better then 3 ,more simple to use in my opinion ) .So as i use it for my new theme that i intend to sell it here, i have a dilemma: What is the best method in customizing Bootstrap, directly or create another 2 different files ( ex: custom_bootstrap.css and custom_bootstrap_responsive.css ) ? Probably many of you will say that the method with custom files is better, but why should i still load the main file if i intend to customize most of the appearance code?

298 posts Design Innovation
  • Elite Author
  • Sold between 250 000 and 1 000 000 dollars
  • Has been a member for 2-3 years
  • Exclusive Author
  • Referred between 200 and 499 users
  • Bought between 10 and 49 items
  • Microlancer Beta Tester
designova says

Hi, you may better go with custom stylesheet over-riding bootstrap. This will help users as it will be easy to edit such CSS files without affecting original bootstrap style files. Keep an eye on customising bootstrap’s native look and styles to suit your own design styles, this will be needed to add uniqueness on your work. Good luck!

579 posts
  • Bought between 10 and 49 items
  • Exclusive Author
  • Has been a member for 3-4 years
  • Sold between 10 000 and 50 000 dollars
ChapterThemes says

If you only use Bootstrap for your own development, meaning you don’t want to submit it as a bootstrap template or theme: Yes, i would just change the bootstrap file and make it your own with the parts you need and customize it like you want.

But, if you want to submit the template or theme like a bootstrap template/theme, and/or spread word it’s a bootstrap based/compatible template or theme: Keep de original file intact and customize by overriding in a separate file.

11 posts
  • Bought between 10 and 49 items
  • Exclusive Author
  • Has been a member for 1-2 years
  • Referred between 1 and 9 users
  • Sold between 5 000 and 10 000 dollars
Venmond says

My recommendeation is it’s better to start learning boostrap 3, bootstrap 2.3.2 is the final version of bootstrap 2 version and will not be supported again with the twitter bootstrap theme for future updates.

579 posts
  • Bought between 10 and 49 items
  • Exclusive Author
  • Has been a member for 3-4 years
  • Sold between 10 000 and 50 000 dollars
ChapterThemes says

My recommendeation is it’s better to start learning boostrap 3, bootstrap 2.3.2 is the final version of bootstrap 2 version and will not be supported again with the twitter bootstrap theme for future updates.

Good tip, but that’s not what he asked :)

252 posts
  • Sold between 50 000 and 100 000 dollars
  • Most Wanted Bounty Winner
  • Microlancer Beta Tester
  • Europe
  • Referred between 100 and 199 users
  • Bought between 10 and 49 items
  • Has been a member for 2-3 years
  • Exclusive Author
SuggeElson says

Read this article if you want to use LESS , is usefull -http://coding.smashingmagazine.com/2013/03/12/customizing-bootstrap/

Article is writter for old version of BS but method are same.

26 posts
  • Bought between 10 and 49 items
  • Exclusive Author
  • Has been a member for 1-2 years
  • Netherlands
  • Referred between 1 and 9 users
  • Sold between 5 000 and 10 000 dollars
KomiDesign says


My recommendeation is it’s better to start learning boostrap 3, bootstrap 2.3.2 is the final version of bootstrap 2 version and will not be supported again with the twitter bootstrap theme for future updates.
Good tip, but that’s not what he asked :)

Even so,good tip indeed :) ,but as i said before i find very difficult the version 3rd comparing to 2 .So if 2.3.2 its the final version ,lets say i will launch now a theme based on 2.3.2 ,does that mean that after a wile all the exiting themes including mine will no longer be functional because they have decided to launch the 3rd ? if i knew that from the start i’d never spent so much time trying to learn the 2nd version of bootstrap.

579 posts
  • Bought between 10 and 49 items
  • Exclusive Author
  • Has been a member for 3-4 years
  • Sold between 10 000 and 50 000 dollars
ChapterThemes says

You supply the bootstrap version with your theme. So as long as people don’t manually update that bootstrap css file than everything keeps working. Even if there’s a newer bootstrap available. It then is up to you to update to newest bootstrap, or not.

26 posts
  • Bought between 10 and 49 items
  • Exclusive Author
  • Has been a member for 1-2 years
  • Netherlands
  • Referred between 1 and 9 users
  • Sold between 5 000 and 10 000 dollars
KomiDesign says

You supply the bootstrap version with your theme. So as long as people don’t manually update that bootstrap css file than everything keeps working. Even if there’s a newer bootstrap available. It then is up to you to update to newest bootstrap, or not.
Thanks again for your help ChapterThemes,that’s what i wanted to hear. Actually i have 2 more questions and i’m out : 1. Will Themeforest still accept in the future ,themes based on bootstrap 2.3.2 ? ( a staff answer would be great ). 2. Can we use bootstrap 3 without using LESS ?

Many thanks to everyone for your answers/opinions.

579 posts
  • Bought between 10 and 49 items
  • Exclusive Author
  • Has been a member for 3-4 years
  • Sold between 10 000 and 50 000 dollars
ChapterThemes says

When you upload an item you can set with which bootstrap version your item is compatible like you see in the image:

Using LESS or not is up to you i think.

by
by
by
by
by
by